# Uses of Enum Class
org.apache.sysds.parser.Statement.PSRuntimeBalancing

Packages that use Statement.PSRuntimeBalancing
Package
Description
org.apache.sysds.parser
org.apache.sysds.runtime.controlprogram.paramserv

## Uses of Statement.PSRuntimeBalancing in org.apache.sysds.parser

Methods in org.apache.sysds.parser that return Statement.PSRuntimeBalancing
Modifier and Type
Method
Description
`static Statement.PSRuntimeBalancing`
Statement.PSRuntimeBalancing.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Statement.PSRuntimeBalancing[]`
Statement.PSRuntimeBalancing.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Statement.PSRuntimeBalancing in org.apache.sysds.runtime.controlprogram.paramserv

Constructors in org.apache.sysds.runtime.controlprogram.paramserv with parameters of type Statement.PSRuntimeBalancing
Modifier
Constructor
Description
``
`FederatedPSControlThread(int workerID, String updFunc, Statement.PSFrequency freq, Statement.PSRuntimeBalancing runtimeBalancing, boolean weighting, int epochs, long batchSize, int numBatchesPerGlobalEpoch, ExecutionContext ec, ParamServer ps, int nbatches, boolean modelAvg, boolean use_homomorphic_encryption)`